using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HaloObjects;

namespace HaloPlugins.Xbox
{
    public class ant
    {
       public List<MetaNode> Fields = new List<MetaNode>();

       public ant()
       {
           Fields.AddRange(new MetaNode[] {
           new StringID("Attachment Marker Name"),
           new TagReference("Bitmap"),
           new TagReference("Physics"),
           new Unused(80),
           new Value("Spring Strength Coefficient", typeof(float)),
           new Value("Falloff Pixels", typeof(float)),
           new Value("Cutoff Pixels", typeof(float)),
           new Unused(40),
           new Reflexive("Vertices", 128, new MetaNode[] { 
               new Value("Spring Strength Coefficient", typeof(float)),
               new Value("Angle Yaw", typeof(float)),
               new Value("Angle Pitch", typeof(float)),
               new Unused(24),
               new Value("Length(world units)", typeof(float)),
               new Value("Sequence index", typeof(int)),
               new Value("Color Alpha", typeof(float)),
               new Value("Color Red", typeof(float)),
               new Value("Color Green", typeof(float)),
               new Value("Color Blue", typeof(float)),
               new Unused(52),
               new Value("Color Alpha", typeof(float)),
               new Value("Color Red", typeof(float)),
               new Value("Color Green", typeof(float)),
               new Value("Color Blue", typeof(float)),
           }),
           });
       }
    }
}
